export declare const root: {
    element: string;
    type: string;
};
export declare const ns: Map<string, string>;
export declare const subs: {
    "": {
        namedElement: string;
        artifact: string;
        definitions: string;
        elementCollection: string;
        drgElement: string;
        itemDefinition: string;
        informationItem: string;
        decisionService: string;
        decision: string;
        businessKnowledgeModel: string;
        inputData: string;
        knowledgeSource: string;
        performanceIndicator: string;
        organizationUnit: string;
        literalExpression: string;
        invocation: string;
        decisionTable: string;
        context: string;
        functionDefinition: string;
        relation: string;
        list: string;
        textAnnotation: string;
        association: string;
    };
};
export declare const elements: {
    DMNElement: string;
    namedElement: string;
    definitions: string;
    import: string;
    elementCollection: string;
    drgElement: string;
    decision: string;
    businessContextElement: string;
    performanceIndicator: string;
    organizationUnit: string;
    businessKnowledgeModel: string;
    inputData: string;
    knowledgeSource: string;
    expression: string;
    itemDefinition: string;
    literalExpression: string;
    invocation: string;
    informationItem: string;
    decisionTable: string;
    artifact: string;
    textAnnotation: string;
    association: string;
    context: string;
    functionDefinition: string;
    relation: string;
    list: string;
    decisionService: string;
};
export declare const meta: {
    dmn__tDMNElement__extensionElements: {};
    dmn__tDMNElement: {
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tDMNElementReference: {
        "@_href": {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tDefinitions__extensionElements: {};
    dmn__tDefinitions: {
        "@_expressionLanguage": {
            type: string;
            isArray: boolean;
        };
        "@_typeLanguage": {
            type: string;
            isArray: boolean;
        };
        "@_namespace": {
            type: string;
            isArray: boolean;
        };
        "@_exporter": {
            type: string;
            isArray: boolean;
        };
        "@_exporterVersion": {
            type: string;
            isArray: boolean;
        };
        import: {
            type: string;
            isArray: boolean;
        };
        itemDefinition: {
            type: string;
            isArray: boolean;
        };
        drgElement: {
            type: string;
            isArray: boolean;
        };
        artifact: {
            type: string;
            isArray: boolean;
        };
        elementCollection: {
            type: string;
            isArray: boolean;
        };
        businessContextElement: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tImport: {
        "@_namespace": {
            type: string;
            isArray: boolean;
        };
        "@_locationURI": {
            type: string;
            isArray: boolean;
        };
        "@_importType": {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tElementCollection__extensionElements: {};
    dmn__tElementCollection: {
        drgElement: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tDRGElement__extensionElements: {};
    dmn__tDRGElement: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tDecision__extensionElements: {};
    dmn__tDecision: {
        question: {
            type: string;
            isArray: boolean;
        };
        allowedAnswers: {
            type: string;
            isArray: boolean;
        };
        variable: {
            type: string;
            isArray: boolean;
        };
        informationRequirement: {
            type: string;
            isArray: boolean;
        };
        knowledgeRequirement: {
            type: string;
            isArray: boolean;
        };
        authorityRequirement: {
            type: string;
            isArray: boolean;
        };
        supportedObjective: {
            type: string;
            isArray: boolean;
        };
        impactedPerformanceIndicator: {
            type: string;
            isArray: boolean;
        };
        decisionMaker: {
            type: string;
            isArray: boolean;
        };
        decisionOwner: {
            type: string;
            isArray: boolean;
        };
        usingProcess: {
            type: string;
            isArray: boolean;
        };
        usingTask: {
            type: string;
            isArray: boolean;
        };
        expression: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tBusinessContextElement__extensionElements: {};
    dmn__tBusinessContextElement: {
        "@_URI": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tPerformanceIndicator__extensionElements: {};
    dmn__tPerformanceIndicator: {
        impactingDecision: {
            type: string;
            isArray: boolean;
        };
        "@_URI": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tOrganizationUnit__extensionElements: {};
    dmn__tOrganizationUnit: {
        decisionMade: {
            type: string;
            isArray: boolean;
        };
        decisionOwned: {
            type: string;
            isArray: boolean;
        };
        "@_URI": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tBusinessKnowledgeModel__extensionElements: {};
    dmn__tBusinessKnowledgeModel: {
        encapsulatedLogic: {
            type: string;
            isArray: boolean;
        };
        variable: {
            type: string;
            isArray: boolean;
        };
        knowledgeRequirement: {
            type: string;
            isArray: boolean;
        };
        authorityRequirement: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tInputData__extensionElements: {};
    dmn__tInputData: {
        variable: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tKnowledgeSource__extensionElements: {};
    dmn__tKnowledgeSource: {
        "@_locationURI": {
            type: string;
            isArray: boolean;
        };
        authorityRequirement: {
            type: string;
            isArray: boolean;
        };
        type: {
            type: string;
            isArray: boolean;
        };
        owner: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tInformationRequirement: {};
    dmn__tKnowledgeRequirement: {
        requiredKnowledge: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tAuthorityRequirement: {};
    dmn__tExpression__extensionElements: {};
    dmn__tExpression: {
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tItemDefinition__extensionElements: {};
    dmn__tItemDefinition: {
        "@_typeLanguage": {
            type: string;
            isArray: boolean;
        };
        "@_isCollection": {
            type: string;
            isArray: boolean;
        };
        itemComponent: {
            type: string;
            isArray: boolean;
        };
        typeRef: {
            type: string;
            isArray: boolean;
        };
        allowedValues: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tLiteralExpression__extensionElements: {};
    dmn__tLiteralExpression: {
        "@_expressionLanguage": {
            type: string;
            isArray: boolean;
        };
        text: {
            type: string;
            isArray: boolean;
        };
        importedValues: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tInvocation__extensionElements: {};
    dmn__tInvocation: {
        expression: {
            type: string;
            isArray: boolean;
        };
        binding: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tBinding: {
        parameter: {
            type: string;
            isArray: boolean;
        };
        expression: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tInformationItem__extensionElements: {};
    dmn__tInformationItem: {
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tDecisionTable__extensionElements: {};
    dmn__tDecisionTable: {
        "@_hitPolicy": {
            type: string;
            isArray: boolean;
        };
        "@_aggregation": {
            type: string;
            isArray: boolean;
        };
        "@_preferredOrientation": {
            type: string;
            isArray: boolean;
        };
        "@_outputLabel": {
            type: string;
            isArray: boolean;
        };
        input: {
            type: string;
            isArray: boolean;
        };
        output: {
            type: string;
            isArray: boolean;
        };
        rule: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tDecisionRule__extensionElements: {};
    dmn__tDecisionRule: {
        inputEntry: {
            type: string;
            isArray: boolean;
        };
        outputEntry: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tImportedValues: {
        "@_expressionLanguage": {
            type: string;
            isArray: boolean;
        };
        importedElement: {
            type: string;
            isArray: boolean;
        };
        "@_namespace": {
            type: string;
            isArray: boolean;
        };
        "@_locationURI": {
            type: string;
            isArray: boolean;
        };
        "@_importType": {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tArtifact__extensionElements: {};
    dmn__tArtifact: {
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tTextAnnotation__extensionElements: {};
    dmn__tTextAnnotation: {
        "@_textFormat": {
            type: string;
            isArray: boolean;
        };
        text: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tAssociation__extensionElements: {};
    dmn__tAssociation: {
        "@_associationDirection": {
            type: string;
            isArray: boolean;
        };
        sourceRef: {
            type: string;
            isArray: boolean;
        };
        targetRef: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tOutputClause__extensionElements: {};
    dmn__tOutputClause: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        outputValues: {
            type: string;
            isArray: boolean;
        };
        defaultOutputEntry: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tInputClause__extensionElements: {};
    dmn__tInputClause: {
        inputExpression: {
            type: string;
            isArray: boolean;
        };
        inputValues: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tContext__extensionElements: {};
    dmn__tContext: {
        contextEntry: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tContextEntry: {
        variable: {
            type: string;
            isArray: boolean;
        };
        expression: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tFunctionDefinition__extensionElements: {};
    dmn__tFunctionDefinition: {
        formalParameter: {
            type: string;
            isArray: boolean;
        };
        expression: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tRelation__extensionElements: {};
    dmn__tRelation: {
        column: {
            type: string;
            isArray: boolean;
        };
        row: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tList__extensionElements: {};
    dmn__tList: {
        expression: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tUnaryTests__extensionElements: {};
    dmn__tUnaryTests: {
        "@_expressionLanguage": {
            type: string;
            isArray: boolean;
        };
        text: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tNamedElement__extensionElements: {};
    dmn__tNamedElement: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    dmn__tDecisionService__extensionElements: {};
    dmn__tDecisionService: {
        outputDecision: {
            type: string;
            isArray: boolean;
        };
        encapsulatedDecision: {
            type: string;
            isArray: boolean;
        };
        inputDecision: {
            type: string;
            isArray: boolean;
        };
        inputData: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
};
//# sourceMappingURL=meta.d.ts.map