import { XmlParserTsRootElementBaseType } from "@kie-tools/xml-parser-ts";
export declare type DMN12__tHitPolicy = 'UNIQUE' | 'FIRST' | 'PRIORITY' | 'ANY' | 'COLLECT' | 'RULE ORDER' | 'OUTPUT ORDER';
export declare type DMN12__tBuiltinAggregator = 'SUM' | 'COUNT' | 'MIN' | 'MAX';
export declare type DMN12__tDecisionTableOrientation = 'Rule-as-Row' | 'Rule-as-Column' | 'CrossTable';
export declare type DMN12__tAssociationDirection = 'None' | 'One' | 'Both';
export declare type DMN12__tFunctionKind = 'FEEL' | 'Java' | 'PMML';
export declare type DC__AlignmentKind = 'start' | 'end' | 'center';
export declare type DC__KnownColor = 'maroon' | 'red' | 'orange' | 'yellow' | 'olive' | 'purple' | 'fuchsia' | 'white' | 'lime' | 'green' | 'navy' | 'blue' | 'aqua' | 'teal' | 'black' | 'silver' | 'gray';
export interface DMN12__tDMNElement {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tDMNElement__extensionElements;
}
export interface DMN12__tDMNElement__extensionElements {
    __?: undefined;
}
export interface DMN12__tNamedElement {
    __?: undefined;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tNamedElement__extensionElements;
}
export interface DMN12__tNamedElement__extensionElements {
    __?: undefined;
}
export declare type DMN12__tDMNElementReference = {
    "@_href": string;
};
export interface DMN12__tDefinitions extends XmlParserTsRootElementBaseType {
    __?: undefined;
    "@_expressionLanguage"?: string;
    "@_typeLanguage"?: string;
    "@_namespace": string;
    "@_exporter"?: string;
    "@_exporterVersion"?: string;
    "import"?: DMN12__tImport[];
    "itemDefinition"?: DMN12__tItemDefinition[];
    "drgElement"?: (({
        __$$element: "decision";
    } & DMN12__tDecision) | ({
        __$$element: "businessKnowledgeModel";
    } & DMN12__tBusinessKnowledgeModel) | ({
        __$$element: "decisionService";
    } & DMN12__tDecisionService) | ({
        __$$element: "inputData";
    } & DMN12__tInputData) | ({
        __$$element: "knowledgeSource";
    } & DMN12__tKnowledgeSource))[];
    "artifact"?: (({
        __$$element: "textAnnotation";
    } & DMN12__tTextAnnotation) | ({
        __$$element: "association";
    } & DMN12__tAssociation))[];
    "elementCollection"?: DMN12__tElementCollection[];
    "businessContextElement"?: (({
        __$$element: "performanceIndicator";
    } & DMN12__tPerformanceIndicator) | ({
        __$$element: "organizationUnit";
    } & DMN12__tOrganizationUnit))[];
    "dmndi:DMNDI"?: DMNDI12__DMNDI;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tDefinitions__extensionElements;
}
export interface DMN12__tDefinitions__extensionElements {
    __?: undefined;
}
export interface DMN12__tImport {
    __?: undefined;
    "@_namespace": string;
    "@_locationURI"?: string;
    "@_importType": string;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tImport__extensionElements;
}
export interface DMN12__tImport__extensionElements {
    __?: undefined;
}
export interface DMN12__tElementCollection {
    __?: undefined;
    "drgElement"?: DMN12__tDMNElementReference[];
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tElementCollection__extensionElements;
}
export interface DMN12__tElementCollection__extensionElements {
    __?: undefined;
}
export interface DMN12__tDRGElement {
    __?: undefined;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tDRGElement__extensionElements;
}
export interface DMN12__tDRGElement__extensionElements {
    __?: undefined;
}
export interface DMN12__tDecision {
    __?: undefined;
    "question"?: string;
    "allowedAnswers"?: string;
    "variable"?: DMN12__tInformationItem;
    "informationRequirement"?: DMN12__tInformationRequirement[];
    "knowledgeRequirement"?: DMN12__tKnowledgeRequirement[];
    "authorityRequirement"?: DMN12__tAuthorityRequirement[];
    "supportedObjective"?: DMN12__tDMNElementReference[];
    "impactedPerformanceIndicator"?: DMN12__tDMNElementReference[];
    "decisionMaker"?: DMN12__tDMNElementReference[];
    "decisionOwner"?: DMN12__tDMNElementReference[];
    "usingProcess"?: DMN12__tDMNElementReference[];
    "usingTask"?: DMN12__tDMNElementReference[];
    "expression"?: (({
        __$$element: "literalExpression";
    } & DMN12__tLiteralExpression) | ({
        __$$element: "invocation";
    } & DMN12__tInvocation) | ({
        __$$element: "decisionTable";
    } & DMN12__tDecisionTable) | ({
        __$$element: "context";
    } & DMN12__tContext) | ({
        __$$element: "functionDefinition";
    } & DMN12__tFunctionDefinition) | ({
        __$$element: "relation";
    } & DMN12__tRelation) | ({
        __$$element: "list";
    } & DMN12__tList));
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tDecision__extensionElements;
}
export interface DMN12__tDecision__extensionElements {
    __?: undefined;
}
export interface DMN12__tBusinessContextElement {
    __?: undefined;
    "@_URI"?: string;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tBusinessContextElement__extensionElements;
}
export interface DMN12__tBusinessContextElement__extensionElements {
    __?: undefined;
}
export interface DMN12__tPerformanceIndicator {
    __?: undefined;
    "impactingDecision"?: DMN12__tDMNElementReference[];
    "@_URI"?: string;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tPerformanceIndicator__extensionElements;
}
export interface DMN12__tPerformanceIndicator__extensionElements {
    __?: undefined;
}
export interface DMN12__tOrganizationUnit {
    __?: undefined;
    "decisionMade"?: DMN12__tDMNElementReference[];
    "decisionOwned"?: DMN12__tDMNElementReference[];
    "@_URI"?: string;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tOrganizationUnit__extensionElements;
}
export interface DMN12__tOrganizationUnit__extensionElements {
    __?: undefined;
}
export interface DMN12__tInvocable {
    __?: undefined;
    "variable"?: DMN12__tInformationItem;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tInvocable__extensionElements;
}
export interface DMN12__tInvocable__extensionElements {
    __?: undefined;
}
export interface DMN12__tBusinessKnowledgeModel {
    __?: undefined;
    "encapsulatedLogic"?: DMN12__tFunctionDefinition;
    "knowledgeRequirement"?: DMN12__tKnowledgeRequirement[];
    "authorityRequirement"?: DMN12__tAuthorityRequirement[];
    "variable"?: DMN12__tInformationItem;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tBusinessKnowledgeModel__extensionElements;
}
export interface DMN12__tBusinessKnowledgeModel__extensionElements {
    __?: undefined;
}
export interface DMN12__tInputData {
    __?: undefined;
    "variable"?: DMN12__tInformationItem;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tInputData__extensionElements;
}
export interface DMN12__tInputData__extensionElements {
    __?: undefined;
}
export interface DMN12__tKnowledgeSource {
    __?: undefined;
    "@_locationURI"?: string;
    "authorityRequirement"?: DMN12__tAuthorityRequirement[];
    "type"?: string;
    "owner"?: DMN12__tDMNElementReference;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tKnowledgeSource__extensionElements;
}
export interface DMN12__tKnowledgeSource__extensionElements {
    __?: undefined;
}
export interface DMN12__tInformationRequirement {
    __?: undefined;
    "requiredDecision"?: DMN12__tDMNElementReference;
    "requiredInput"?: DMN12__tDMNElementReference;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tInformationRequirement__extensionElements;
}
export interface DMN12__tInformationRequirement__extensionElements {
    __?: undefined;
}
export interface DMN12__tKnowledgeRequirement {
    __?: undefined;
    "requiredKnowledge": DMN12__tDMNElementReference;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tKnowledgeRequirement__extensionElements;
}
export interface DMN12__tKnowledgeRequirement__extensionElements {
    __?: undefined;
}
export interface DMN12__tAuthorityRequirement {
    __?: undefined;
    "requiredDecision"?: DMN12__tDMNElementReference;
    "requiredInput"?: DMN12__tDMNElementReference;
    "requiredAuthority"?: DMN12__tDMNElementReference;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tAuthorityRequirement__extensionElements;
}
export interface DMN12__tAuthorityRequirement__extensionElements {
    __?: undefined;
}
export interface DMN12__tExpression {
    __?: undefined;
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tExpression__extensionElements;
}
export interface DMN12__tExpression__extensionElements {
    __?: undefined;
}
export interface DMN12__tItemDefinition {
    __?: undefined;
    "@_typeLanguage"?: string;
    "@_isCollection"?: boolean;
    "itemComponent"?: DMN12__tItemDefinition[];
    "typeRef"?: string;
    "allowedValues"?: DMN12__tUnaryTests;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tItemDefinition__extensionElements;
}
export interface DMN12__tItemDefinition__extensionElements {
    __?: undefined;
}
export interface DMN12__tLiteralExpression {
    __?: undefined;
    "@_expressionLanguage"?: string;
    "text"?: string;
    "importedValues"?: DMN12__tImportedValues;
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tLiteralExpression__extensionElements;
}
export interface DMN12__tLiteralExpression__extensionElements {
    __?: undefined;
}
export interface DMN12__tInvocation {
    __?: undefined;
    "expression"?: (({
        __$$element: "literalExpression";
    } & DMN12__tLiteralExpression) | ({
        __$$element: "invocation";
    } & DMN12__tInvocation) | ({
        __$$element: "decisionTable";
    } & DMN12__tDecisionTable) | ({
        __$$element: "context";
    } & DMN12__tContext) | ({
        __$$element: "functionDefinition";
    } & DMN12__tFunctionDefinition) | ({
        __$$element: "relation";
    } & DMN12__tRelation) | ({
        __$$element: "list";
    } & DMN12__tList));
    "binding"?: DMN12__tBinding[];
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tInvocation__extensionElements;
}
export interface DMN12__tInvocation__extensionElements {
    __?: undefined;
}
export declare type DMN12__tBinding = {
    "parameter": DMN12__tInformationItem;
    "expression"?: (({
        __$$element: "literalExpression";
    } & DMN12__tLiteralExpression) | ({
        __$$element: "invocation";
    } & DMN12__tInvocation) | ({
        __$$element: "decisionTable";
    } & DMN12__tDecisionTable) | ({
        __$$element: "context";
    } & DMN12__tContext) | ({
        __$$element: "functionDefinition";
    } & DMN12__tFunctionDefinition) | ({
        __$$element: "relation";
    } & DMN12__tRelation) | ({
        __$$element: "list";
    } & DMN12__tList));
};
export interface DMN12__tInformationItem {
    __?: undefined;
    "@_typeRef"?: string;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tInformationItem__extensionElements;
}
export interface DMN12__tInformationItem__extensionElements {
    __?: undefined;
}
export interface DMN12__tDecisionTable {
    __?: undefined;
    "@_hitPolicy"?: DMN12__tHitPolicy;
    "@_aggregation"?: DMN12__tBuiltinAggregator;
    "@_preferredOrientation"?: DMN12__tDecisionTableOrientation;
    "@_outputLabel"?: string;
    "input"?: DMN12__tInputClause[];
    "output": DMN12__tOutputClause[];
    "annotation"?: DMN12__tRuleAnnotationClause[];
    "rule"?: DMN12__tDecisionRule[];
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tDecisionTable__extensionElements;
}
export interface DMN12__tDecisionTable__extensionElements {
    __?: undefined;
}
export interface DMN12__tInputClause {
    __?: undefined;
    "inputExpression": DMN12__tLiteralExpression;
    "inputValues"?: DMN12__tUnaryTests;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tInputClause__extensionElements;
}
export interface DMN12__tInputClause__extensionElements {
    __?: undefined;
}
export interface DMN12__tOutputClause {
    __?: undefined;
    "@_name"?: string;
    "@_typeRef"?: string;
    "outputValues"?: DMN12__tUnaryTests;
    "defaultOutputEntry"?: DMN12__tLiteralExpression;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tOutputClause__extensionElements;
}
export interface DMN12__tOutputClause__extensionElements {
    __?: undefined;
}
export declare type DMN12__tRuleAnnotationClause = {
    "@_name"?: string;
};
export interface DMN12__tDecisionRule {
    __?: undefined;
    "inputEntry"?: DMN12__tUnaryTests[];
    "outputEntry": DMN12__tLiteralExpression[];
    "annotationEntry"?: DMN12__tRuleAnnotation[];
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tDecisionRule__extensionElements;
}
export interface DMN12__tDecisionRule__extensionElements {
    __?: undefined;
}
export declare type DMN12__tRuleAnnotation = {
    "text"?: string;
};
export interface DMN12__tImportedValues {
    __?: undefined;
    "@_expressionLanguage"?: string;
    "importedElement": string;
    "@_namespace": string;
    "@_locationURI"?: string;
    "@_importType": string;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tImportedValues__extensionElements;
}
export interface DMN12__tImportedValues__extensionElements {
    __?: undefined;
}
export interface DMN12__tArtifact {
    __?: undefined;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tArtifact__extensionElements;
}
export interface DMN12__tArtifact__extensionElements {
    __?: undefined;
}
export interface DMN12__tTextAnnotation {
    __?: undefined;
    "@_textFormat"?: string;
    "text"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tTextAnnotation__extensionElements;
}
export interface DMN12__tTextAnnotation__extensionElements {
    __?: undefined;
}
export interface DMN12__tAssociation {
    __?: undefined;
    "@_associationDirection"?: DMN12__tAssociationDirection;
    "sourceRef": DMN12__tDMNElementReference;
    "targetRef": DMN12__tDMNElementReference;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tAssociation__extensionElements;
}
export interface DMN12__tAssociation__extensionElements {
    __?: undefined;
}
export interface DMN12__tContext {
    __?: undefined;
    "contextEntry"?: DMN12__tContextEntry[];
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tContext__extensionElements;
}
export interface DMN12__tContext__extensionElements {
    __?: undefined;
}
export interface DMN12__tContextEntry {
    __?: undefined;
    "variable"?: DMN12__tInformationItem;
    "expression": (({
        __$$element: "literalExpression";
    } & DMN12__tLiteralExpression) | ({
        __$$element: "invocation";
    } & DMN12__tInvocation) | ({
        __$$element: "decisionTable";
    } & DMN12__tDecisionTable) | ({
        __$$element: "context";
    } & DMN12__tContext) | ({
        __$$element: "functionDefinition";
    } & DMN12__tFunctionDefinition) | ({
        __$$element: "relation";
    } & DMN12__tRelation) | ({
        __$$element: "list";
    } & DMN12__tList));
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tContextEntry__extensionElements;
}
export interface DMN12__tContextEntry__extensionElements {
    __?: undefined;
}
export interface DMN12__tFunctionDefinition {
    __?: undefined;
    "@_kind"?: DMN12__tFunctionKind;
    "formalParameter"?: DMN12__tInformationItem[];
    "expression"?: (({
        __$$element: "literalExpression";
    } & DMN12__tLiteralExpression) | ({
        __$$element: "invocation";
    } & DMN12__tInvocation) | ({
        __$$element: "decisionTable";
    } & DMN12__tDecisionTable) | ({
        __$$element: "context";
    } & DMN12__tContext) | ({
        __$$element: "functionDefinition";
    } & DMN12__tFunctionDefinition) | ({
        __$$element: "relation";
    } & DMN12__tRelation) | ({
        __$$element: "list";
    } & DMN12__tList));
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tFunctionDefinition__extensionElements;
}
export interface DMN12__tFunctionDefinition__extensionElements {
    __?: undefined;
}
export interface DMN12__tRelation {
    __?: undefined;
    "column"?: DMN12__tInformationItem[];
    "row"?: DMN12__tList[];
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tRelation__extensionElements;
}
export interface DMN12__tRelation__extensionElements {
    __?: undefined;
}
export interface DMN12__tList {
    __?: undefined;
    "expression"?: (({
        __$$element: "literalExpression";
    } & DMN12__tLiteralExpression) | ({
        __$$element: "invocation";
    } & DMN12__tInvocation) | ({
        __$$element: "decisionTable";
    } & DMN12__tDecisionTable) | ({
        __$$element: "context";
    } & DMN12__tContext) | ({
        __$$element: "functionDefinition";
    } & DMN12__tFunctionDefinition) | ({
        __$$element: "relation";
    } & DMN12__tRelation) | ({
        __$$element: "list";
    } & DMN12__tList))[];
    "@_typeRef"?: string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tList__extensionElements;
}
export interface DMN12__tList__extensionElements {
    __?: undefined;
}
export interface DMN12__tUnaryTests {
    __?: undefined;
    "@_expressionLanguage"?: string;
    "text": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tUnaryTests__extensionElements;
}
export interface DMN12__tUnaryTests__extensionElements {
    __?: undefined;
}
export interface DMN12__tDecisionService {
    __?: undefined;
    "outputDecision"?: DMN12__tDMNElementReference[];
    "encapsulatedDecision"?: DMN12__tDMNElementReference[];
    "inputDecision"?: DMN12__tDMNElementReference[];
    "inputData"?: DMN12__tDMNElementReference[];
    "variable"?: DMN12__tInformationItem;
    "@_name": string;
    "@_id"?: string;
    "@_label"?: string;
    "description"?: string;
    "extensionElements"?: DMN12__tDecisionService__extensionElements;
}
export interface DMN12__tDecisionService__extensionElements {
    __?: undefined;
}
export declare type DMNDI12__DMNDI = {
    "dmndi:DMNDiagram"?: DMNDI12__DMNDiagram[];
    "dmndi:DMNStyle"?: DMNDI12__DMNStyle[];
};
export interface DMNDI12__DMNDiagram {
    __?: undefined;
    "dmndi:Size"?: DC__Dimension;
    "dmndi:DMNDiagramElement"?: (({
        __$$element: "dmndi:DMNShape";
    } & DMNDI12__DMNShape) | ({
        __$$element: "dmndi:DMNEdge";
    } & DMNDI12__DMNEdge))[];
    "@_name"?: string;
    "@_documentation"?: string;
    "@_resolution"?: number;
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DMNDI12__DMNDiagram__extension;
    "di:Style"?: (({
        __$$element: "dmndi:DMNStyle";
    } & DMNDI12__DMNStyle));
}
export interface DMNDI12__DMNDiagram__extension {
    __?: undefined;
}
export interface DMNDI12__DMNShape {
    __?: undefined;
    "@_dmnElementRef": string;
    "@_isListedInputData"?: boolean;
    "@_isCollapsed"?: boolean;
    "dmndi:DMNLabel"?: DMNDI12__DMNLabel;
    "dmndi:DMNDecisionServiceDividerLine"?: DMNDI12__DMNDecisionServiceDividerLine;
    "dc:Bounds"?: DC__Bounds;
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DMNDI12__DMNShape__extension;
    "di:Style"?: (({
        __$$element: "dmndi:DMNStyle";
    } & DMNDI12__DMNStyle));
}
export interface DMNDI12__DMNShape__extension {
    __?: undefined;
}
export interface DMNDI12__DMNDecisionServiceDividerLine {
    __?: undefined;
    "di:waypoint"?: DC__Point[];
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DMNDI12__DMNDecisionServiceDividerLine__extension;
    "di:Style"?: (({
        __$$element: "dmndi:DMNStyle";
    } & DMNDI12__DMNStyle));
}
export interface DMNDI12__DMNDecisionServiceDividerLine__extension {
    __?: undefined;
}
export interface DMNDI12__DMNEdge {
    __?: undefined;
    "@_dmnElementRef": string;
    "dmndi:DMNLabel"?: DMNDI12__DMNLabel;
    "di:waypoint"?: DC__Point[];
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DMNDI12__DMNEdge__extension;
    "di:Style"?: (({
        __$$element: "dmndi:DMNStyle";
    } & DMNDI12__DMNStyle));
}
export interface DMNDI12__DMNEdge__extension {
    __?: undefined;
}
export interface DMNDI12__DMNLabel {
    __?: undefined;
    "dmndi:Text"?: string;
    "dc:Bounds"?: DC__Bounds;
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DMNDI12__DMNLabel__extension;
    "di:Style"?: (({
        __$$element: "dmndi:DMNStyle";
    } & DMNDI12__DMNStyle));
}
export interface DMNDI12__DMNLabel__extension {
    __?: undefined;
}
export interface DMNDI12__DMNStyle {
    __?: undefined;
    "@_fontFamily"?: string;
    "@_fontSize"?: number;
    "@_fontItalic"?: boolean;
    "@_fontBold"?: boolean;
    "@_fontUnderline"?: boolean;
    "@_fontStrikeThrough"?: boolean;
    "@_labelHorizontalAlignement"?: DC__AlignmentKind;
    "@_labelVerticalAlignment"?: DC__AlignmentKind;
    "dmndi:FillColor"?: DC__Color;
    "dmndi:StrokeColor"?: DC__Color;
    "dmndi:FontColor"?: DC__Color;
    "@_id"?: string;
    "di:extension"?: DMNDI12__DMNStyle__extension;
}
export interface DMNDI12__DMNStyle__extension {
    __?: undefined;
}
export declare type DC__Color = {
    "@_red": number;
    "@_green": number;
    "@_blue": number;
};
export declare type DC__Point = {
    "@_x": number;
    "@_y": number;
};
export declare type DC__Dimension = {
    "@_width": number;
    "@_height": number;
};
export declare type DC__Bounds = {
    "@_x": number;
    "@_y": number;
    "@_width": number;
    "@_height": number;
};
export interface DI__DiagramElement {
    __?: undefined;
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DI__DiagramElement__extension;
    "di:Style"?: DI__Style;
}
export interface DI__DiagramElement__extension {
    __?: undefined;
}
export interface DI__Diagram {
    __?: undefined;
    "@_name"?: string;
    "@_documentation"?: string;
    "@_resolution"?: number;
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DI__Diagram__extension;
    "di:Style"?: DI__Style;
}
export interface DI__Diagram__extension {
    __?: undefined;
}
export interface DI__Shape {
    __?: undefined;
    "dc:Bounds"?: DC__Bounds;
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DI__Shape__extension;
    "di:Style"?: DI__Style;
}
export interface DI__Shape__extension {
    __?: undefined;
}
export interface DI__Edge {
    __?: undefined;
    "di:waypoint"?: DC__Point[];
    "@_sharedStyle"?: string;
    "@_id"?: string;
    "di:extension"?: DI__Edge__extension;
    "di:Style"?: DI__Style;
}
export interface DI__Edge__extension {
    __?: undefined;
}
export interface DI__Style {
    __?: undefined;
    "@_id"?: string;
    "di:extension"?: DI__Style__extension;
}
export interface DI__Style__extension {
    __?: undefined;
}
//# sourceMappingURL=types.d.ts.map