export declare const root: {
    element: string;
    type: string;
};
export declare const ns: Map<string, string>;
export declare const subs: {
    "": {
        namedElement: string;
        informationRequirement: string;
        knowledgeRequirement: string;
        authorityRequirement: string;
        functionItem: string;
        artifact: string;
        contextEntry: string;
        definitions: string;
        import: string;
        elementCollection: string;
        drgElement: string;
        itemDefinition: string;
        informationItem: string;
        decision: string;
        invocable: string;
        inputData: string;
        knowledgeSource: string;
        performanceIndicator: string;
        organizationUnit: string;
        businessKnowledgeModel: string;
        decisionService: string;
        literalExpression: string;
        invocation: string;
        decisionTable: string;
        context: string;
        functionDefinition: string;
        relation: string;
        list: string;
        group: string;
        textAnnotation: string;
        association: string;
    };
    "dmndi:": {
        "dmndi:DMNShape": string;
        "dmndi:DMNEdge": string;
        "dmndi:DMNStyle": string;
    };
    "dc:": {};
    "di:": {};
};
export declare const elements: {
    DMNElement: string;
    namedElement: string;
    definitions: string;
    import: string;
    elementCollection: string;
    drgElement: string;
    decision: string;
    businessContextElement: string;
    performanceIndicator: string;
    organizationUnit: string;
    invocable: string;
    businessKnowledgeModel: string;
    inputData: string;
    knowledgeSource: string;
    informationRequirement: string;
    knowledgeRequirement: string;
    authorityRequirement: string;
    expression: string;
    itemDefinition: string;
    functionItem: string;
    literalExpression: string;
    invocation: string;
    informationItem: string;
    decisionTable: string;
    artifact: string;
    group: string;
    textAnnotation: string;
    association: string;
    context: string;
    contextEntry: string;
    functionDefinition: string;
    relation: string;
    list: string;
    decisionService: string;
    "dmndi:DMNDI": string;
    "dmndi:DMNDiagram": string;
    "dmndi:DMNDiagramElement": string;
    "dmndi:DMNShape": string;
    "dmndi:DMNEdge": string;
    "dmndi:DMNStyle": string;
    "dmndi:DMNLabel": string;
    "dmndi:DMNDecisionServiceDividerLine": string;
    "dc:Color": string;
    "dc:Point": string;
    "dc:Bounds": string;
    "dc:Dimension": string;
    "di:Style": string;
};
export declare const meta: {
    DMN13__tDMNElement__extensionElements: {};
    DMN13__tDMNElement: {
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tNamedElement__extensionElements: {};
    DMN13__tNamedElement: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tDMNElementReference: {
        "@_href": {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tDefinitions__extensionElements: {};
    DMN13__tDefinitions: {
        "@_expressionLanguage": {
            type: string;
            isArray: boolean;
        };
        "@_typeLanguage": {
            type: string;
            isArray: boolean;
        };
        "@_namespace": {
            type: string;
            isArray: boolean;
        };
        "@_exporter": {
            type: string;
            isArray: boolean;
        };
        "@_exporterVersion": {
            type: string;
            isArray: boolean;
        };
        import: {
            type: string;
            isArray: boolean;
        };
        itemDefinition: {
            type: string;
            isArray: boolean;
        };
        drgElement: {
            type: string;
            isArray: boolean;
        };
        artifact: {
            type: string;
            isArray: boolean;
        };
        elementCollection: {
            type: string;
            isArray: boolean;
        };
        businessContextElement: {
            type: string;
            isArray: boolean;
        };
        "dmndi:DMNDI": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tImport__extensionElements: {};
    DMN13__tImport: {
        "@_namespace": {
            type: string;
            isArray: boolean;
        };
        "@_locationURI": {
            type: string;
            isArray: boolean;
        };
        "@_importType": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tElementCollection__extensionElements: {};
    DMN13__tElementCollection: {
        drgElement: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tDRGElement__extensionElements: {};
    DMN13__tDRGElement: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tDecision__extensionElements: {};
    DMN13__tDecision: {
        question: {
            type: string;
            isArray: boolean;
        };
        allowedAnswers: {
            type: string;
            isArray: boolean;
        };
        variable: {
            type: string;
            isArray: boolean;
        };
        informationRequirement: {
            type: string;
            isArray: boolean;
        };
        knowledgeRequirement: {
            type: string;
            isArray: boolean;
        };
        authorityRequirement: {
            type: string;
            isArray: boolean;
        };
        supportedObjective: {
            type: string;
            isArray: boolean;
        };
        impactedPerformanceIndicator: {
            type: string;
            isArray: boolean;
        };
        decisionMaker: {
            type: string;
            isArray: boolean;
        };
        decisionOwner: {
            type: string;
            isArray: boolean;
        };
        usingProcess: {
            type: string;
            isArray: boolean;
        };
        usingTask: {
            type: string;
            isArray: boolean;
        };
        expression: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tBusinessContextElement__extensionElements: {};
    DMN13__tBusinessContextElement: {
        "@_URI": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tPerformanceIndicator__extensionElements: {};
    DMN13__tPerformanceIndicator: {
        impactingDecision: {
            type: string;
            isArray: boolean;
        };
        "@_URI": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tOrganizationUnit__extensionElements: {};
    DMN13__tOrganizationUnit: {
        decisionMade: {
            type: string;
            isArray: boolean;
        };
        decisionOwned: {
            type: string;
            isArray: boolean;
        };
        "@_URI": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tInvocable__extensionElements: {};
    DMN13__tInvocable: {
        variable: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tBusinessKnowledgeModel__extensionElements: {};
    DMN13__tBusinessKnowledgeModel: {
        encapsulatedLogic: {
            type: string;
            isArray: boolean;
        };
        knowledgeRequirement: {
            type: string;
            isArray: boolean;
        };
        authorityRequirement: {
            type: string;
            isArray: boolean;
        };
        variable: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tInputData__extensionElements: {};
    DMN13__tInputData: {
        variable: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tKnowledgeSource__extensionElements: {};
    DMN13__tKnowledgeSource: {
        "@_locationURI": {
            type: string;
            isArray: boolean;
        };
        authorityRequirement: {
            type: string;
            isArray: boolean;
        };
        type: {
            type: string;
            isArray: boolean;
        };
        owner: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tInformationRequirement__extensionElements: {};
    DMN13__tInformationRequirement: {
        requiredDecision: {
            type: string;
            isArray: boolean;
        };
        requiredInput: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tKnowledgeRequirement__extensionElements: {};
    DMN13__tKnowledgeRequirement: {
        requiredKnowledge: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tAuthorityRequirement__extensionElements: {};
    DMN13__tAuthorityRequirement: {
        requiredDecision: {
            type: string;
            isArray: boolean;
        };
        requiredInput: {
            type: string;
            isArray: boolean;
        };
        requiredAuthority: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tExpression__extensionElements: {};
    DMN13__tExpression: {
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tItemDefinition__extensionElements: {};
    DMN13__tItemDefinition: {
        "@_typeLanguage": {
            type: string;
            isArray: boolean;
        };
        "@_isCollection": {
            type: string;
            isArray: boolean;
        };
        itemComponent: {
            type: string;
            isArray: boolean;
        };
        functionItem: {
            type: string;
            isArray: boolean;
        };
        typeRef: {
            type: string;
            isArray: boolean;
        };
        allowedValues: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tFunctionItem__extensionElements: {};
    DMN13__tFunctionItem: {
        "@_outputTypeRef": {
            type: string;
            isArray: boolean;
        };
        parameters: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tLiteralExpression__extensionElements: {};
    DMN13__tLiteralExpression: {
        "@_expressionLanguage": {
            type: string;
            isArray: boolean;
        };
        text: {
            type: string;
            isArray: boolean;
        };
        importedValues: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tInvocation__extensionElements: {};
    DMN13__tInvocation: {
        expression: {
            type: string;
            isArray: boolean;
        };
        binding: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tBinding: {
        parameter: {
            type: string;
            isArray: boolean;
        };
        expression: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tInformationItem__extensionElements: {};
    DMN13__tInformationItem: {
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tDecisionTable__extensionElements: {};
    DMN13__tDecisionTable: {
        "@_hitPolicy": {
            type: string;
            isArray: boolean;
        };
        "@_aggregation": {
            type: string;
            isArray: boolean;
        };
        "@_preferredOrientation": {
            type: string;
            isArray: boolean;
        };
        "@_outputLabel": {
            type: string;
            isArray: boolean;
        };
        input: {
            type: string;
            isArray: boolean;
        };
        output: {
            type: string;
            isArray: boolean;
        };
        annotation: {
            type: string;
            isArray: boolean;
        };
        rule: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tInputClause__extensionElements: {};
    DMN13__tInputClause: {
        inputExpression: {
            type: string;
            isArray: boolean;
        };
        inputValues: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tOutputClause__extensionElements: {};
    DMN13__tOutputClause: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        outputValues: {
            type: string;
            isArray: boolean;
        };
        defaultOutputEntry: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tRuleAnnotationClause: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tDecisionRule__extensionElements: {};
    DMN13__tDecisionRule: {
        inputEntry: {
            type: string;
            isArray: boolean;
        };
        outputEntry: {
            type: string;
            isArray: boolean;
        };
        annotationEntry: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tRuleAnnotation: {
        text: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tImportedValues__extensionElements: {};
    DMN13__tImportedValues: {
        "@_expressionLanguage": {
            type: string;
            isArray: boolean;
        };
        importedElement: {
            type: string;
            isArray: boolean;
        };
        "@_namespace": {
            type: string;
            isArray: boolean;
        };
        "@_locationURI": {
            type: string;
            isArray: boolean;
        };
        "@_importType": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tArtifact__extensionElements: {};
    DMN13__tArtifact: {
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tGroup__extensionElements: {};
    DMN13__tGroup: {
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tTextAnnotation__extensionElements: {};
    DMN13__tTextAnnotation: {
        "@_textFormat": {
            type: string;
            isArray: boolean;
        };
        text: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tAssociation__extensionElements: {};
    DMN13__tAssociation: {
        "@_associationDirection": {
            type: string;
            isArray: boolean;
        };
        sourceRef: {
            type: string;
            isArray: boolean;
        };
        targetRef: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tContext__extensionElements: {};
    DMN13__tContext: {
        contextEntry: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tContextEntry__extensionElements: {};
    DMN13__tContextEntry: {
        variable: {
            type: string;
            isArray: boolean;
        };
        expression: {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tFunctionDefinition__extensionElements: {};
    DMN13__tFunctionDefinition: {
        "@_kind": {
            type: string;
            isArray: boolean;
        };
        formalParameter: {
            type: string;
            isArray: boolean;
        };
        expression: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tRelation__extensionElements: {};
    DMN13__tRelation: {
        column: {
            type: string;
            isArray: boolean;
        };
        row: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tList__extensionElements: {};
    DMN13__tList: {
        expression: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tUnaryTests__extensionElements: {};
    DMN13__tUnaryTests: {
        "@_expressionLanguage": {
            type: string;
            isArray: boolean;
        };
        text: {
            type: string;
            isArray: boolean;
        };
        "@_typeRef": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMN13__tDecisionService__extensionElements: {};
    DMN13__tDecisionService: {
        outputDecision: {
            type: string;
            isArray: boolean;
        };
        encapsulatedDecision: {
            type: string;
            isArray: boolean;
        };
        inputDecision: {
            type: string;
            isArray: boolean;
        };
        inputData: {
            type: string;
            isArray: boolean;
        };
        variable: {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "@_label": {
            type: string;
            isArray: boolean;
        };
        description: {
            type: string;
            isArray: boolean;
        };
        extensionElements: {
            type: string;
            isArray: boolean;
        };
    };
    DMNDI13__DMNDI: {
        "dmndi:DMNDiagram": {
            type: string;
            isArray: boolean;
        };
        "dmndi:DMNStyle": {
            type: string;
            isArray: boolean;
        };
    };
    DMNDI13__DMNDiagram__extension: {};
    DMNDI13__DMNDiagram: {
        "dmndi:Size": {
            type: string;
            isArray: boolean;
        };
        "dmndi:DMNDiagramElement": {
            type: string;
            isArray: boolean;
        };
        "@_name": {
            type: string;
            isArray: boolean;
        };
        "@_documentation": {
            type: string;
            isArray: boolean;
        };
        "@_resolution": {
            type: string;
            isArray: boolean;
        };
        "@_sharedStyle": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "di:extension": {
            type: string;
            isArray: boolean;
        };
        "di:Style": {
            type: string;
            isArray: boolean;
        };
    };
    DMNDI13__DMNShape__extension: {};
    DMNDI13__DMNShape: {
        "@_dmnElementRef": {
            type: string;
            isArray: boolean;
        };
        "@_isListedInputData": {
            type: string;
            isArray: boolean;
        };
        "@_isCollapsed": {
            type: string;
            isArray: boolean;
        };
        "dmndi:DMNLabel": {
            type: string;
            isArray: boolean;
        };
        "dmndi:DMNDecisionServiceDividerLine": {
            type: string;
            isArray: boolean;
        };
        "dc:Bounds": {
            type: string;
            isArray: boolean;
        };
        "@_sharedStyle": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "di:extension": {
            type: string;
            isArray: boolean;
        };
        "di:Style": {
            type: string;
            isArray: boolean;
        };
    };
    DMNDI13__DMNDecisionServiceDividerLine__extension: {};
    DMNDI13__DMNDecisionServiceDividerLine: {
        "di:waypoint": {
            type: string;
            isArray: boolean;
        };
        "@_sharedStyle": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "di:extension": {
            type: string;
            isArray: boolean;
        };
        "di:Style": {
            type: string;
            isArray: boolean;
        };
    };
    DMNDI13__DMNEdge__extension: {};
    DMNDI13__DMNEdge: {
        "@_dmnElementRef": {
            type: string;
            isArray: boolean;
        };
        "@_sourceElement": {
            type: string;
            isArray: boolean;
        };
        "@_targetElement": {
            type: string;
            isArray: boolean;
        };
        "dmndi:DMNLabel": {
            type: string;
            isArray: boolean;
        };
        "di:waypoint": {
            type: string;
            isArray: boolean;
        };
        "@_sharedStyle": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "di:extension": {
            type: string;
            isArray: boolean;
        };
        "di:Style": {
            type: string;
            isArray: boolean;
        };
    };
    DMNDI13__DMNLabel__extension: {};
    DMNDI13__DMNLabel: {
        "dmndi:Text": {
            type: string;
            isArray: boolean;
        };
        "dc:Bounds": {
            type: string;
            isArray: boolean;
        };
        "@_sharedStyle": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "di:extension": {
            type: string;
            isArray: boolean;
        };
        "di:Style": {
            type: string;
            isArray: boolean;
        };
    };
    DMNDI13__DMNStyle__extension: {};
    DMNDI13__DMNStyle: {
        "@_fontFamily": {
            type: string;
            isArray: boolean;
        };
        "@_fontSize": {
            type: string;
            isArray: boolean;
        };
        "@_fontItalic": {
            type: string;
            isArray: boolean;
        };
        "@_fontBold": {
            type: string;
            isArray: boolean;
        };
        "@_fontUnderline": {
            type: string;
            isArray: boolean;
        };
        "@_fontStrikeThrough": {
            type: string;
            isArray: boolean;
        };
        "@_labelHorizontalAlignement": {
            type: string;
            isArray: boolean;
        };
        "@_labelVerticalAlignment": {
            type: string;
            isArray: boolean;
        };
        "dmndi:FillColor": {
            type: string;
            isArray: boolean;
        };
        "dmndi:StrokeColor": {
            type: string;
            isArray: boolean;
        };
        "dmndi:FontColor": {
            type: string;
            isArray: boolean;
        };
        "@_id": {
            type: string;
            isArray: boolean;
        };
        "di:extension": {
            type: string;
            isArray: boolean;
        };
    };
    DC__Color: {
        "@_red": {
            type: string;
            isArray: boolean;
        };
        "@_green": {
            type: string;
            isArray: boolean;
        };
        "@_blue": {
            type: string;
            isArray: boolean;
        };
    };
    DC__Point: {
        "@_x": {
            type: string;
            isArray: boolean;
        };
        "@_y": {
            type: string;
            isArray: boolean;
        };
    };
    DC__Dimension: {
        "@_width": {
            type: string;
            isArray: boolean;
        };
        "@_height": {
            type: string;
            isArray: boolean;
        };
    };
    DC__Bounds: {
        "@_x": {
            type: string;
            isArray: boolean;
        };
        "@_y": {
            type: string;
            isArray: boolean;
        };
        "@_width": {
            type: string;
            isArray: boolean;
        };
        "@_height": {
            type: string;
            isArray: boolean;
        };
    };
    DI__DiagramElement__extension: {};
    DI__Diagram__extension: {};
    DI__Shape__extension: {};
    DI__Edge__extension: {};
    DI__Style__extension: {};
};
//# sourceMappingURL=meta.d.ts.map